import Combine

protocol {{ module_info.name }}Factory {}

class {{ module_info.name }}Graph {
	private let subscriptions: [AnyCancellable]
	
	init(subscriptions: [AnyCancellable]) {
		self.subscriptions = subscriptions
	}
}

extension {{ module_info.name }}Graph: {{ module_info.name }}Factory {} 
